# Uses of Class
com.databricks.jdbc.model.telemetry.latency.ChunkDetails

Packages that use ChunkDetails
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.model.telemetry.latency

## Uses of ChunkDetails in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return ChunkDetails
Modifier and Type
Method
Description
`ChunkDetails`
StatementTelemetryDetails.`getChunkDetails()`
Methods in com.databricks.jdbc.model.telemetry with parameters of type ChunkDetails
Modifier and Type
Method
Description
`SqlExecutionEvent`
SqlExecutionEvent.`setChunkDetails(ChunkDetails chunkDetails)`

## Uses of ChunkDetails in com.databricks.jdbc.model.telemetry.latency

Methods in com.databricks.jdbc.model.telemetry.latency that return ChunkDetails
Modifier and Type
Method
Description
`ChunkDetails`
ChunkDetails.`setInitialChunkLatencyMillis(Long initialChunkLatencyMillis)`
`ChunkDetails`
ChunkDetails.`setSlowestChunkLatencyMillis(Long slowestChunkLatencyMillis)`
`ChunkDetails`
ChunkDetails.`setSumChunksDownloadTimeMillis(Long sumChunksDownloadTimeMillis)`
`ChunkDetails`
ChunkDetails.`setTotalChunksIterated(Long totalChunksIterated)`
`ChunkDetails`
ChunkDetails.`setTotalChunksPresent(Long totalChunksPresent)`